/*
Copyright (c) 2018-2019 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
// @flow

import * as React from 'react';

import StatefulContainer from './stateful-container.js';
import TreeView from './tree-view.js';
import type {TreeViewPropsT} from './types.js';

export default function StatefulTreeView(props: TreeViewPropsT) {
  return (
    <StatefulContainer {...props}>
      {treeViewProps => <TreeView {...treeViewProps} />}
    </StatefulContainer>
  );
}
